Bug 491478 - Warning about unicode comparison
Warning about unicode comparison
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-21 10:55 EDT by Bruno Wolff III
Modified: 2014-01-21 18:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 12:12:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2009-03-21 10:55:50 EDT
Description of problem:
I got the following warning during a yum update:
/usr/lib/python2.6/site-packages/yum/packages.py:388: UnicodeWarning: Unicode unequal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
  if reqn != n:


Version-Release number of selected component (if applicable):
yum-3.2.21-16.fc11.noarch

How reproducible:
Unknown

Steps to Reproduce:
1.
2.
3.
  
Actual results:
[root@cerberus bruno]# yum clean all
yum/usr/lib/yum-plugins/merge-conf.py:22: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, sys, md5
 Loaded plugins: allowdowngrade, dellsysidplugin, dellsysidplugin2, keys, list-
              : data, merge-conf, priorities, protect-packages, protectbase,
              : refresh-packagekit, upgrade-helper, verify, versionlock
update
Cleaning up Everything
[root@cerberus bruno]# yum update
/usr/lib/yum-plugins/merge-conf.py:22: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, sys, md5
Loaded plugins: allowdowngrade, dellsysidplugin, dellsysidplugin2, keys, list-
              : data, merge-conf, priorities, protect-packages, protectbase,
              : refresh-packagekit, upgrade-helper, verify, versionlock
rawhide                                                  | 3.4 kB     00:00     
rawhide/primary_db                                       |  10 MB     00:00     
rpmfusion-free-rawhide                                   | 2.7 kB     00:00     
rpmfusion-free-rawhide/primary_db                        | 327 kB     00:00     
rpmfusion-nonfree-rawhide                                | 2.7 kB     00:00     
rpmfusion-nonfree-rawhide/primary_db                     | 101 kB     00:00     
0 packages excluded due to repository protections
Reading version lock configuration
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package DeviceKit-disks.x86_64 0:003-7.fc11 set to be updated
---> Package anaconda.x86_64 0:11.5.0.35-1 set to be updated
---> Package bind.x86_64 32:9.6.0-11.P1.fc11 set to be updated
---> Package bind-chroot.x86_64 32:9.6.0-11.P1.fc11 set to be updated
---> Package bind-libs.x86_64 32:9.6.0-11.P1.fc11 set to be updated
---> Package bind-utils.x86_64 32:9.6.0-11.P1.fc11 set to be updated
---> Package dnssec-conf.noarch 0:1.20-2.fc11 set to be updated
---> Package fontconfig.x86_64 0:2.6.99.behdad.20090318-1.fc11 set to be updated
---> Package fontconfig.i586 0:2.6.99.behdad.20090318-1.fc11 set to be updated
---> Package fontconfig-devel.x86_64 0:2.6.99.behdad.20090318-1.fc11 set to be updated
---> Package ghostscript.x86_64 0:8.64-5.fc11 set to be updated
---> Package ghostscript-devel.x86_64 0:8.64-5.fc11 set to be updated
---> Package ghostscript-doc.x86_64 0:8.64-5.fc11 set to be updated
---> Package ghostscript-gtk.x86_64 0:8.64-5.fc11 set to be updated
---> Package iscsi-initiator-utils.x86_64 0:6.2.0.870-7.fc11 set to be updated
---> Package pyparted.x86_64 0:2.0.8-1.fc11 set to be updated
---> Package python-pyblock.x86_64 0:0.41-1.fc11 set to be updated
---> Package vavoom.x86_64 0:1.30-1.fc11 set to be updated
/usr/lib/python2.6/site-packages/yum/packages.py:388: UnicodeWarning: Unicode unequal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
  if reqn != n:
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                Arch    Version                          Repository
                                                                           Size
================================================================================
Updating:
 DeviceKit-disks        x86_64  003-7.fc11                       rawhide  156 k
 anaconda               x86_64  11.5.0.35-1                      rawhide  5.8 M
 bind                   x86_64  32:9.6.0-11.P1.fc11              rawhide  3.3 M
 bind-chroot            x86_64  32:9.6.0-11.P1.fc11              rawhide   59 k
 bind-libs              x86_64  32:9.6.0-11.P1.fc11              rawhide  928 k
 bind-utils             x86_64  32:9.6.0-11.P1.fc11              rawhide  243 k
 dnssec-conf            noarch  1.20-2.fc11                      rawhide   85 k
 fontconfig             x86_64  2.6.99.behdad.20090318-1.fc11    rawhide  204 k
 fontconfig             i586    2.6.99.behdad.20090318-1.fc11    rawhide  203 k
 fontconfig-devel       x86_64  2.6.99.behdad.20090318-1.fc11    rawhide  225 k
 ghostscript            x86_64  8.64-5.fc11                      rawhide  6.6 M
 ghostscript-devel      x86_64  8.64-5.fc11                      rawhide   47 k
 ghostscript-doc        x86_64  8.64-5.fc11                      rawhide  2.3 M
 ghostscript-gtk        x86_64  8.64-5.fc11                      rawhide   37 k
 iscsi-initiator-utils  x86_64  6.2.0.870-7.fc11                 rawhide  747 k
 pyparted               x86_64  2.0.8-1.fc11                     rawhide  177 k
 python-pyblock         x86_64  0.41-1.fc11                      rawhide   76 k
 vavoom                 x86_64  1.30-1.fc11                      rawhide  3.1 M

Transaction Summary
================================================================================
Install      0 Package(s)         
Update      18 Package(s)         
Remove       0 Package(s)         

Total download size: 24 M
Is this ok [y/N]: y
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.7 GB/s |  24 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : fontconfig                                              1/36 
  Updating       : ghostscript                                             2/36 
  Updating       : bind-libs                                               3/36 
  Updating       : pyparted                                                4/36 
  Updating       : iscsi-initiator-utils                                   5/36 
  Updating       : python-pyblock                                          6/36 
  Updating       : anaconda                                                7/36 
  Updating       : bind-utils                                              8/36 
  Updating       : ghostscript-gtk                                         9/36 
  Updating       : vavoom                                                 10/36 
  Updating       : DeviceKit-disks                                        11/36 
  Updating       : dnssec-conf                                            12/36 
  Updating       : bind                                                   13/36 
  Updating       : bind-chroot                                            14/36 
  Updating       : ghostscript-devel                                      15/36 
  Updating       : ghostscript-doc                                        16/36 
  Updating       : fontconfig                                             17/36 
  Updating       : fontconfig-devel                                       18/36 
  Cleanup        : ghostscript-devel                                      19/36 
  Cleanup        : bind                                                   20/36 
  Cleanup        : ghostscript-gtk                                        21/36 
  Cleanup        : ghostscript-doc                                        22/36 
  Cleanup        : bind-libs                                              23/36 
  Cleanup        : DeviceKit-disks                                        24/36 
  Cleanup        : bind-utils                                             25/36 
  Cleanup        : ghostscript                                            26/36 
  Cleanup        : pyparted                                               27/36 
  Cleanup        : anaconda                                               28/36 
  Cleanup        : iscsi-initiator-utils                                  29/36 
  Cleanup        : fontconfig-devel                                       30/36 
  Cleanup        : fontconfig                                             31/36 
  Cleanup        : python-pyblock                                         32/36 
  Cleanup        : dnssec-conf                                            33/36 
  Cleanup        : vavoom                                                 34/36 
  Cleanup        : fontconfig                                             35/36 
  Cleanup        : bind-chroot                                            36/36 

Updated:
  DeviceKit-disks.x86_64 0:003-7.fc11                                           
  anaconda.x86_64 0:11.5.0.35-1                                                 
  bind.x86_64 32:9.6.0-11.P1.fc11                                               
  bind-chroot.x86_64 32:9.6.0-11.P1.fc11                                        
  bind-libs.x86_64 32:9.6.0-11.P1.fc11                                          
  bind-utils.x86_64 32:9.6.0-11.P1.fc11                                         
  dnssec-conf.noarch 0:1.20-2.fc11                                              
  fontconfig.x86_64 0:2.6.99.behdad.20090318-1.fc11                             
  fontconfig.i586 0:2.6.99.behdad.20090318-1.fc11                               
  fontconfig-devel.x86_64 0:2.6.99.behdad.20090318-1.fc11                       
  ghostscript.x86_64 0:8.64-5.fc11                                              
  ghostscript-devel.x86_64 0:8.64-5.fc11                                        
  ghostscript-doc.x86_64 0:8.64-5.fc11                                          
  ghostscript-gtk.x86_64 0:8.64-5.fc11                                          
  iscsi-initiator-utils.x86_64 0:6.2.0.870-7.fc11                               
  pyparted.x86_64 0:2.0.8-1.fc11                                                
  python-pyblock.x86_64 0:0.41-1.fc11                                           
  vavoom.x86_64 0:1.30-1.fc11                                                   

Complete!

Expected results:


Additional info:
Comment 1 Tom London 2009-03-21 13:12:06 EDT
"Me too" on "yum update":

---> Package selinux-policy.noarch 0:3.6.10-1.fc11 set to be updated
---> Package selinux-policy-targeted.noarch 0:3.6.10-1.fc11 set to be updated
/usr/lib/python2.6/site-packages/yum/packages.py:388: UnicodeWarning: Unicode unequal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
  if reqn != n:
--> Finished Dependency Resolution

Appears the update succeeded.
Comment 2 Bug Zapper 2009-06-09 08:28:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 seth vidal 2009-07-10 12:12:49 EDT
You're not still seeing this output on f11 yum 3.2.23 are you? I think this has been corrected. Please reopen this bug if it comes back.
Comment 4 Juan Castro 2009-08-20 23:41:33 EDT
Please reopen -- it appeared on my Fedora 11 x86_64 and the version is 3.2.23-3. I previously updated only kernel-related packages, and rebooted, then yum and rpm (old habit of mine, yeah, maybe I have OCD), then did a yum update.

It's downloading packages as I type.

# yum -y update
Plugins carregados: refresh-packagekit
---> Pacote DeviceKit-disks.x86_64 0:004-4.fc11 definido para ser atualizado
---> Pacote DeviceKit-power.x86_64 0:010-0.3.20090810git.fc11 definido para ser atualizado
---> Pacote GConf2.x86_64 0:2.26.2-1.fc11 definido para ser atualizado
.
.
.
---> Pacote openjpeg-libs.x86_64 0:1.3-5.fc11 definido para ser atualizado
---> Pacote atlas.x86_64 0:3.8.3-4.fc11 definido para ser atualizado
---> Pacote python-nose.noarch 0:0.10.4-2.fc11 definido para ser atualizado
/usr/lib/python2.6/site-packages/yum/packages.py:413: UnicodeWarning: Unicode unequal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
  if reqn != n:
Tamanho total: 706 M
Tamanho total do download: 704 M
Baixando pacotes:
(1/482): GConf2-2.26.2-1.fc11.x86_64.rpm                    | 1.7 MB     00:30
(2/482): GConf2-devel-2.26.2-1.fc11.x86_64.rpm              | 106 kB     00:06
(3/482): GConf2-gtk-2.26.2-1.fc11.x86_64.rpm                |  22 kB     00:01
.
.
.

Note You need to log in before you can comment on or make changes to this bug.